Bug 737585 - Hard disk performance far worse than on Fedora 15 2.6.40
Summary: Hard disk performance far worse than on Fedora 15 2.6.40
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: i686
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 16:03 UTC by Klaus Lichtenwalder
Modified: 2011-09-15 15:15 UTC (History)
7 users (show)

Fixed In Version: kernel-3.1.0-0.rc6.git0.0.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 15:15:46 UTC


Attachments (Terms of Use)

Description Klaus Lichtenwalder 2011-09-12 16:03:37 UTC
Description of problem:
The hd performance of Fedora 16  3.1 rc[345] kernel is ca. 50% that of Fedora 15
Here's the hdparm output:

Fedora 15
/dev/sda:
 Timing cached reads:   1396 MB in  2.00 seconds = 698.33 MB/sec
 Timing buffered disk reads: 180 MB in  3.02 seconds =  59.66 MB/sec

Fedora 16
/dev/sda:
 Timing cached reads:   984 MB in  1.99 seconds = 494.18 MB/sec
 Timing buffered disk reads:  84 MB in  3.09 seconds =  27.20 MB/sec

This is consistent.

Also, the resume from hibernation takes twice to three times longer than with Fedora 15

Version-Release number of selected component (if applicable):
kernel-3.1.0-0.rc5.git0.0.fc16.i686


How reproducible:
hdparm, resume


Expected results:
About as fast as Fedora 15

Additional info:
I couldn't find anything with my google-fu, hope this is appropriate, I intentionally set the priority to low

Comment 1 Josh Boyer 2011-09-12 17:20:02 UTC
f16 kernels still have all of the kernel debugging options enabled whereas f15 does not.  Before we go worrying about performance issues, we should test on a kernel that has the debug stuff turned off.  We already know those options significantly slow down Xorg as well.

The next f16 kernel build should have them off.  I'll post a URL to it here for testing.

Comment 2 Klaus Lichtenwalder 2011-09-12 17:31:48 UTC
Great, thanks. I was expecting something along these lines, just not such a huge impact. Will wait and test.

Klaus

Comment 3 Josh Boyer 2011-09-12 22:36:55 UTC
I've started a 3.1-rc6 build that has the debugging options disabled.  You can test this build when it completes:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3346292

Comment 4 Klaus Lichtenwalder 2011-09-13 19:02:22 UTC
Josh,
thanks, this brings hard disk performance back at expected levels. More thorough tests will have to wait, as I have on of those "nice" netbooks from acer with a brcm4312 chip, which has to use the brcmsmac driver.

Klaus

Comment 5 Josh Boyer 2011-09-13 19:33:26 UTC
Thanks for testing.  I'll put this in MODIFIED state for now.

Comment 6 Fedora Update System 2011-09-13 19:45:31 UTC
kernel-3.1.0-0.rc6.git0.0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc6.git0.0.fc16

Comment 7 Bruno Wolff III 2011-09-14 20:23:03 UTC
Can we look at fixing this for f17 kernels as well? For now, I have just rebuilt an f17 kernel using the f16 config files. This is a pain to do, but things are so much slower with debugging enabled that I am losing so much time waiting for stuff to happen (kernel builds, yum updates) that run alternative kernels is the best answer for me now.

I don't know if this affects things, but in my case I am running dmcrypt on top of mdraid.

Comment 8 Dave Jones 2011-09-14 21:48:54 UTC
see comment 32 of bug 735268

Comment 9 Fedora Update System 2011-09-15 15:15:23 UTC
kernel-3.1.0-0.rc6.git0.0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.